communication Excel BricsCAD
Bonjour a tous, je suis en train de tester un nouvel outil en remplacement d'AutoCAD à savoir BricsCAD.
J'ai une feuille excel avec 2 macros me permettant que faire de
l'extraction et injections de données suivant le nom de bloc etc...mon
soucis celle ci fonctionnait a merveille sous AutoCAD mais plus sous
BricsCAD.
Je pense qu'il faut seulement changer quelque chose dans la macro mais c'est là que j'ai besoin de votre aide….
Merci par avance.
Pièces jointes
Comments
-
This works
Sub Opendwg()
Dim acadApp As Object
Dim acadDoc As Object'Check if AutoCAD application is open. If is not opened create a new instance and make it visible.
On Error Resume Next
Set acadApp = GetObject(, "BricsCadApp.AcadApplication")
If acadApp Is Nothing Then
Set acadApp = CreateObject("BricsCadApp.AcadApplication")
acadApp.Visible = True
End If'Check (again) if there is an AutoCAD object.
If acadApp Is Nothing Then
MsgBox "Sorry, it was impossible to start Bricscad!", vbCritical, "BRICSCAD Error"
Exit Sub
End If
On Error GoTo 0
'If there is no active drawing create a new one.
On Error Resume Next
Set acadDoc = acadApp.ActiveDocument
If acadDoc Is Nothing Then
Set acadDoc = acadApp.Documents.Add
End If
On Error GoTo 0
'Check if the active space is paper space and change it to model space.
If acadDoc.ActiveSpace = 0 Then '0 = acPaperSpace in early binding
acadDoc.ActiveSpace = 1 '1 = acModelSpace in early binding
End IfEnd Sub
0 -
Merci pour votre retour.
Cependant, étant novice en vba, ou dois je intégrer ou remplacer votre réponse dans mon fichier?
0 -
Please english, what are you doing ? Explain more ?
0 -
Per Google Translate:
Thanks for your feedback.
However, being new to VBA, where should I integrate or replace your answer in my file?
0 -
Ok go back a couple of steps. What is the end task, fill in block attributes, draw objects ? You may be able to use Lisp rather than VBA.
0